DatabaseException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn.content
Class DatabaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ocap.hn.content.DatabaseException

All Implemented Interfaces:
  Serializable

    public class DatabaseException

extends Exception

Exception that is thrown when a database error occurs

See Also:
  Serialized Form

Field Summary
`static int` | `FIELD_IS_EMPTY`
`static int` | `FIELD_IS_WRONG_FORMAT`
`static int` | `FIELD_NAME_DOES_NOT_EXIST`
`static int` | `GENERAL_ERROR`
`static int` | `INVALID_PARAMETER_SPECIFIED`
`static int` | `QUERY_IS_INVALID`
`static int` | `REMOTE_QUERY_IS_INVALID`
`static int` | `UNABLE_TO_LOCATE_SERVICE`

Constructor Summary
`DatabaseException(String sMessage, int iNumber)`

Method Summary
`int` | `getExceptionNumber()` Returns the unique exception code related to the database.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIELD_NAME_DOES_NOT_EXIST

    public static final int FIELD_NAME_DOES_NOT_EXIST

See Also:
  Constant Field Values

### FIELD_IS_EMPTY

    public static final int FIELD_IS_EMPTY

See Also:
  Constant Field Values

### FIELD_IS_WRONG_FORMAT

    public static final int FIELD_IS_WRONG_FORMAT

See Also:
  Constant Field Values

### QUERY_IS_INVALID

    public static final int QUERY_IS_INVALID

See Also:
  Constant Field Values

### INVALID_PARAMETER_SPECIFIED

    public static final int INVALID_PARAMETER_SPECIFIED

See Also:
  Constant Field Values

### UNABLE_TO_LOCATE_SERVICE

    public static final int UNABLE_TO_LOCATE_SERVICE

See Also:
  Constant Field Values

### REMOTE_QUERY_IS_INVALID

    public static final int REMOTE_QUERY_IS_INVALID

See Also:
  Constant Field Values

### GENERAL_ERROR

    public static final int GENERAL_ERROR

See Also:
  Constant Field Values

Constructor Detail

### DatabaseException

    public DatabaseException(String sMessage,
                             int iNumber)

Method Detail

### getExceptionNumber

    public int getExceptionNumber()

  Returns the unique exception code related to the database.

  Returns:
    the integer value with an exception code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD